Attribute VB_Name = "basMain"
'=====================================================================
'MAIN.BAS by Frank Font 1995
'
'This VB 4 file contains functions and definitions
'for the MakeTeam program.
'
'*********************************************************************
'NOTE:  These program procedures are for entertainment purposes ONLY.
'       No warantees are implied or expressed for this program or any
'       of its procedures.
'=====================================================================
Option Explicit
Public Const gProgramTitle = "Best Team Selector"
Public Const gProgramVersion = "1.0"
Public Const gProgramRevision = "B1"

Public Const MAX_Integer = 32700   'Just need a huge figure.
Public Const MAX_Double = 10000    'Just need huge#. (Small due to bug)
Public Const MAX_Long = 2100000000 'Just need a huge figure.
Public Const MAX_Bad = 100        'Maximum bad item score.

Public gMainDB As DATABASE        'Database object of main database.
Public gMainDBName As String      'Name of main database.
Public gExactSkills               'If true, only candidates with all skills are considered.
Public JobsInProject As Integer   'Number of jobs in the project.
Public EmpsInPool As Integer      'Number of available employees.
Public NodeHeapSize As Long       'Size of heap used in analysis.
Public MemPoolSize As Long        'Size of raw node pool.
Public gCancelMessage As Integer  'Trigger cancel when searching for team.
Public gDefaultRating As Integer  'Default rating value when adding.
Public gAction As Integer
Public gSkillKey
Public gProjectKey
Public gJobtitleKey

Public Type mejrec_t    'Create job record.
    status As Boolean   'True if node is active.
    job As Integer      'Job applied to employee
    emp As Integer      'Employee number
    cost As Double      'Cost of employee's at node.
    Parent As Long      'pointer in memPool()
End Type
Public memPool() As mejrec_t   'Array of fake memory pool.
Public nodeHeap() As Long      'Array of pointers to memPool().

'---------------------------------------------------------------------
'Initialize all memory and heap storage.
'---------------------------------------------------------------------
Sub InitAll()
  InitmemPool
  InitHeap
End Sub


'----------------------------------------------------------------------
'This procedure runs before anything else at load time.
'----------------------------------------------------------------------
Sub Main()
  frmSplash.Show
End Sub




